WordPress.org

Plugin Directory

B09 Link to Existing Content

Improves the built in "Link to existing content" dialog. Provides filters, has optional shortcode support and improves searching.

1.7.1

  • Fixed CSS to adapt to new admin css in WP 3.9

1.7

  • WP 3.9 COMPATIBILITY: WordPress 3.9 made a major TinyMCE upgrade which is covered by this version of the plugin.

1.6

  • CAUTION: after this update you have to re-activate the plugin in the plugins panel, because I decided to rename the main php file and wordpress will think the plugin was removed.

  • The plugin now also loads empty taxonomies, so you can link to them before they get filled up

  • The script files now load on all admin screens, so wherever there is a WYSIWYG-editor, you can also use the Link To Existing Content functionality.

1.5.3

  • The script now also loads on the admin page "admin.php", not just the "post.php" pages. This makes it possible to also use the plugin on options pages with WYSIWYG-Editors

1.5.2

  • The Shortcode now automatically adds useful information about the post or taxonomy to every link in the frontend. See Screenshot #7 for more information

1.5.1

  • Fixed options form not updating if all options where disabled
  • Made check for existing shortcodes in options page more fail-proof

1.5

  • Added an options page for the non-developers out there. Filters still have a higher priority though, so you won't have to change anything, if you don't want to.

1.4.2

  • Fixed Categories in the link popup loading infinitely

1.4.1

  • Fixed Error in AJAX-Request if param "search" not being set
  • Added plugin textdomain and german localization
  • Added Settings / FAQ link to plugins overview page

1.4.0

  • Added Support for the screen "media.php"
  • From now on, the shortcode functionality is disabled by default and has to be activated from the functions.php

1.3.0

  • Now also works if the visual editor is disabled.

1.2.0

  • Added Functionality for linking to taxonomies from the "Link to Existing Content" dialog

1.1.0

  • The plugin uses the built-in admin-ajax functionality now
  • The shortcode appears directly in the url field, so it doesn't suprise the user if it gets pasted to the editor
  • Added custom css file

1.0.0

  • Initial Release.

Requires: 3.2.3 or higher
Compatible up to: 3.9.5
Last Updated: 2014-4-20
Active Installs: 300+

Ratings

5 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
2 people say it's broken.

0,2,0